<% local view, viewlibrary, page_info, session = ... %>
<% htmlviewfunctions = require("htmlviewfunctions") %>
<% html = require("acf.html") %>

<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
	if (typeof $.tablesorter == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"><\/script>');
	}
</script>

<script type="text/javascript">
	$(document).ready(function() {
<% for i,tabl in ipairs(view.value) do %>
	<% if #tabl.jobs ~= 0 then %>
		$("#joblist<%= i %>").tablesorter({headers: {1:{sorter: false}, 2:{sorter: false}}, widgets: ['zebra']});
	<% end %>
<% end %>
	});
</script>

<% htmlviewfunctions.displaycommandresults({"editjob", "deletejob", "movejob"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createjob"}, session, true) %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<% -- set up the form for the move action
local formstart = '<form action="'..html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/movejob")..'" method="POST">'
formstart = formstart .. '<input type="hidden" name="name" value="'
local formend = '">\n<select name="period" style="width:150px">'
for i,tabl in ipairs(view.value) do
	if i == 1 then
		formend = formend .. '<option selected value="'..tabl.period..'">'..tabl.period..'</option>'
	else
		formend = formend .. '<option value="'..tabl.period..'">'..tabl.period..'</option>'
	end
end
formend = formend .. '</select>\n<input class="submit" type="submit" name="submit" value="Move"></form>'
local function createmoveform(name)
	io.write(formstart, name, formend)
end
%>

<h1>Cron Jobs</h1>
<% for i,tabl in ipairs(view.value) do %>
<h2><%= html.html_escape(tabl.period) %></h2>
	<% if #tabl.jobs == 0 then %>
<p>No jobs</p>
	<% else %>
<table id="joblist<%= i %>" class="tablesorter"><thead>
	<tr>
		<th>Job</th>
		<th>Action</th>
		<th></th>
	</tr>
</thead><tbody>
		<% for i,job in ipairs(tabl.jobs) do %>
	<tr>
		<td><%= html.html_escape(string.gsub(job, "^.*/", "")) %></td>
		<td>
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/editjob?name="..job.."&redir="..page_info.orig_action, label="Edit "} %>
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/deletejob?name="..job.."&submit=true", label="Delete "} %>
		</td><td>
			<% createmoveform(job, tabl.period) %>
		</td>
	</tr>
		<% end %>
</tbody></table>
	<% end %>
<% end %>

<% if viewlibrary.check_permission("createjob") then
	viewlibrary.dispatch_component("createjob")
end %>
