<h3>Status</h3>
<% local view, viewlibrary, page_info, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
html = require("acf.html")
%>

<% showoption = function(option)
if option.errtxt or option.value ~= "" then %>
<dt><%= html.html_escape(option.label) %></dt>
<dd <% if option.errtxt then io.write("class='error'") end %>><%= string.gsub(html.html_escape(tostring(option.value)), "\n", "<br />") %>
<% if option.errtxt then io.write("<br />"..html.html_escape(option.errtxt)) end %></dd><% end %>
<% end %>

<% htmlviewfunctions.displaycommandresults({"update", "delete", "ifup", "ifdown", "restart"}, session) %>

<!-- section 1 -->
<div class="section4">
<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>
</div>
<!-- /section 1 -->

<!-- section 2 -->
<div class="section4">
<h3>Configured interfaces</h3>
<% for i,entry in ipairs(view.value) do local interface = entry.value %>

<dl><dt><img src='<%= html.html_escape(page_info.wwwprefix..page_info.staticdir) %>/tango/16x16/devices/network-wired.png' width='16' height='16' alt=''> <%= html.html_escape(interface.name.value) %></dt>
<dd>
<% if viewlibrary.check_permission("update") then %>
<a href='update?name=<%= html.html_escape(interface.name.value) %>&redir=read'>Edit</a>
<% end
if viewlibrary.check_permission("delete") then %>
<a href='delete?name=<%= html.html_escape(interface.name.value) %>&submit=true&redir=read'>Delete</a>
<% end
if viewlibrary.check_permission("ifup") then %>
<a href='ifup?name=<%= html.html_escape(interface.name.value) %>&submit=true&redir=read'>ifup</a>
<% end
if viewlibrary.check_permission("ifdown") then %>
<a href='ifdown?name=<%= html.html_escape(interface.name.value) %>&submit=true&redir=read'>ifdown</a>
<% end %>
<dl><%
showoption(interface.family)
if interface.method then showoption(interface.method) end
for name,option in pairs(interface) do
if name~="name" and name~="family" and name~="method" then
 showoption(option)
end
end
%>
</dl></dd></dl>
<% end %>

</div>
<!-- /section 2 -->

<% if posix.basename(page_info.skin) == 'jqmobile' then %>
<% local popurl = html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. '/'.. page_info.action .. "#popup") %>
<a href="<%= popurl %>" data-role="button" data-rel="dialog" data-icon="gear" data-inline="true"
data-transition="pop" data-theme="b" data-mini="true">Restart Networking</a>
<% else %>
<h1>Restart Networking</h1>
<p class="error">WARNING!!! Restarting networking may cause the ACF web interface to stop functioning. Try refreshing this page after restarting. If that fails, you may have to use terminal access to recover.</p>
<div class='item'><p class='left'>Restart Networking</p>
<div class='right'>
<form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/restart?redir=read") %>"><input class="submit" type="submit" name="submit" value="Restart"></form>
</div></div><!-- end .item -->
<% end %>
